Questions & Answers

Is the application AudioBox VSL 1.3 compatible with AudioBox iTwo ?

–1 vote
142 views
asked Nov 10, 2015 in AudioBox USB by renatobartolini (140 points)
When I start the application AudioBox VSL tells me that I need to update the firmware dell'AudioBox ITWO, but then gives me an error !

Any help ?

Thank you
commented Nov 11, 2015 by mattcaprio (148,150 points)
Are you using a Mac or PC? What OS?

1 Answer

0 votes
answered Nov 11, 2015 by matthewgorman (51,480 points)
selected Nov 12, 2015 by matthewgorman
 
Best answer
AB VSL is the driver for the VSL line of products. The driver for the iTwo, as well as documentation for it, can be found at the link below.

 

http://www.presonus.com/products/AudioBox-i-Series/downloads
...